import { HttpClient } from '@wix/sdk-types';
import { ActivationLog, ActivationLogNonNullableFields, ListActivationLogsOptions, ListActivationLogsResponse, ListActivationLogsResponseNonNullableFields, SearchActivationLogsByPayloadPiiValueOptions, SearchActivationLogsByPayloadPiiValueResponse, SearchActivationLogsByPayloadPiiValueResponseNonNullableFields } from './automations-activation-logs-v1-activation-log-activation-log.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getActivationLog(httpClient: HttpClient): GetActivationLogSignature;
interface GetActivationLogSignature {
    /**
     * Get activation log by ID
     * @param - Activation log ID
     * @returns Activation log
     */
    (activationId: string): Promise<ActivationLog & ActivationLogNonNullableFields>;
}
export declare function listActivationLogs(httpClient: HttpClient): ListActivationLogsSignature;
interface ListActivationLogsSignature {
    /**
     * List activation logs
     */
    (options?: ListActivationLogsOptions | undefined): Promise<ListActivationLogsResponse & ListActivationLogsResponseNonNullableFields>;
}
export declare function searchActivationLogsByPayloadPiiValue(httpClient: HttpClient): SearchActivationLogsByPayloadPiiValueSignature;
interface SearchActivationLogsByPayloadPiiValueSignature {
    /**
     * Search activation logs by payload pii value
     * Entire field value match is supported
     * Supported are emails, phones and guids
     * @param - Value to search in the payload
     */
    (value: string, options?: SearchActivationLogsByPayloadPiiValueOptions | undefined): Promise<SearchActivationLogsByPayloadPiiValueResponse & SearchActivationLogsByPayloadPiiValueResponseNonNullableFields>;
}
export { Action, ActionEvent, ActionInfoOneOf, ActionSettings, ActivationContinuedAfterSchedule, ActivationLog, ActivationLogNonNullableFields, AppDefinedAction, ApplicationOrigin, AuditInfo, AuditInfoIdOneOf, Automation, AutomationConfiguration, AutomationConfigurationStatus, AutomationIdInfo, AutomationOriginInfoOneOf, AutomationSettings, CancellationReason, CancelledStatusInfo, ClientEntityIdsByNamespace, ConditionAction, ConditionExpressionGroup, CursorPaging, CursorPagingMetadata, Cursors, DelayAction, Domain, DomainEvent, DomainEventBodyOneOf, DraftInfo, Empty, EndedStatusInfo, Enrichment, Enrichments, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, ErrorReason, ExtendedFields, FailedStatusInfo, Filter, FilterBy, FilterValueSelection, FilterableAppDefinedActions, FutureDateActivationOffset, GetActivationLogRequest, GetActivationLogResponse, GetActivationLogResponseNonNullableFields, IdentificationData, IdentificationDataIdOneOf, IdentifierType, Identity, InitiatedStatusInfo, ListActivationLogsOptions, ListActivationLogsOptionsIdentifierOneOf, ListActivationLogsRequest, ListActivationLogsRequestIdentifierOneOf, ListActivationLogsResponse, ListActivationLogsResponseNonNullableFields, MessageEnvelope, Operator, Origin, OutputAction, PreinstalledIdentifierInfo, PreinstalledOrigin, RateLimit, RateLimitAction, RestoreInfo, ScheduledStatusInfo, SearchActivationLogsByPayloadPiiValueOptions, SearchActivationLogsByPayloadPiiValueOptionsFilterOptionOneOf, SearchActivationLogsByPayloadPiiValueRequest, SearchActivationLogsByPayloadPiiValueRequestFilterOptionOneOf, SearchActivationLogsByPayloadPiiValueResponse, SearchActivationLogsByPayloadPiiValueResponseNonNullableFields, SetVariablesAction, SkipReason, SkippedStatusInfo, StartedStatusInfo, Status, Target, TimeUnit, Trigger, Type, UouDeleteRequest, Warning, WarningReason, WebhookIdentityType, } from './automations-activation-logs-v1-activation-log-activation-log.universal.js';
